import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class Boss here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Boss  extends Animal
{
    GreenfootImage img1 = new GreenfootImage("Boss1.png");
    GreenfootImage img2 = new GreenfootImage("Boss2.png");
    private int direction = 1;
    private int count = 0;
    private int deathCount = 2000;
    /**
     * Act - do whatever the Boss wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        setLocation(getX() + 5 * direction, getY());
        changeImage();
        moveHitherAndThither();
        die();
    }    
    public void moveHitherAndThither()
    {
        if(atWorldEdge())
        {
            direction *= -1;
        }
    }
    public void changeImage()
    {
        count -= 1;
        if(count <= 0)
        {
            if(getImage() == img1)
            {
                setImage(img2);
                getWorld().addObject(new Missile(), getX()-45, getY()-50);
            }
            else
            {
                setImage(img1);
                getWorld().addObject(new Missile(), getX()+37, getY()-50);
            }
            count = 20;
        }
    }
    public void die()
    {
        deathCount -= 1;
        if(deathCount <=0)
        {
            getWorld().removeObject(this);
        }
    }
}
