import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is the score board. It displays your score.
 */
public class Health  extends Actor
{
    GreenfootImage image = new GreenfootImage(200, 30);
    
    public Health(int health)
    {
        image.drawString("Health: " + health, 10, 15);
        setImage(image);
    }
    
    /**
     * Act - Updates the current score. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        image.clear();
        image.drawString("Health: " + ((CrabWorld) getWorld()).health, 10, 15);
        if(((CrabWorld) getWorld()).health < 0)
        {
            ((CrabWorld) getWorld()).health = 0;
        }
    }    
}